return {
  "stevearc/conform.nvim",
  event = { "BufReadPre", "BufNewFile" },
  keys = {
    {
      "<leader>cf",
      function()
        require("conform").format({
          async = true,
          lsp_fallback = true,
        })
      end,
      desc = "Format file",
    },
  },
  opts = {
    formatters_by_ft = {
      bash = { "shfmt" },
      -- cpp  = { "clang_format" },
      javascript = { "prettier" },
      json = { "jq" }, -- brew install jq, pkg install jq
      lua = { "stylua" }, -- brew install stylua, pkg install stylua
      python = { "ruff_format" }, -- brew install ruff, pkg install ruff
      sh = { "shfmt" }, -- brew install, pkg install shfmt
      typescript = { "prettier" }, -- npm install -g prettier
      xml = { "xmllint" }, -- xmllint ist Teil von libxml2
      xsd = { "xmllint" },
      yaml = { "yamlfmt" }, -- brew install yamlfmt, pkg install yamlfmt
    },
  },

  config = function(_, opts)
    require("conform").setup(opts)
  end,
}
